# EarPlugin

abstract class EarPlugin : Plugin<T>

A Plugin with tasks which assemble a web application into a EAR file.

#### See also

<a href="https://docs.gradle.org/current/userguide/ear_plugin.html">EAR plugin reference</a>

## Constructors

EarPlugin
Link copied to clipboard
@Inject
constructor(objectFactory: ObjectFactory, jvmPluginServices: JvmPluginServices, taskDependencyFactory: TaskDependencyFactory)
Injects an ObjectFactory

## Properties

DEPLOY_CONFIGURATION_NAME
Link copied to clipboard
val DEPLOY_CONFIGURATION_NAME: String = "deploy"
EAR_TASK_NAME
Link copied to clipboard
val EAR_TASK_NAME: String = "ear"
EARLIB_CONFIGURATION_NAME
Link copied to clipboard
val EARLIB_CONFIGURATION_NAME: String = "earlib"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)